Enable ARM64 support in kexec-tools

Bug #1659618 reported by Manoj Iyer on 2017-01-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kexec-tools (Debian)
Fix Released
Unknown
kexec-tools (Ubuntu)
High
dann frazier
Xenial
High
Manoj Iyer
Yakkety
High
dann frazier

Bug Description

[IMPACT]
 * kexec-tools in Xenial (16.04) currently does not support ARM64
   architecture.
 * Backport support for ARM64 arch from upstream
   https://github.com/horms/kexec-tools
 * Majority of the patches are contained in kexec/arch/arm64/ except for
   one patch that impacts purgatory and common device tree routines.

[TEST CASE]
 * I built kexec-tools for ARM64 and tested it on HW using the following
   testcase:
   $ sudo kexec -l /boot/vmlinuz-<version>-generic
     --initrd=/boot/initrd.img-<version>-generic
     --command-line="root=UUID=<uuid> ro vt.handoff=7"
   $ sudo kexec -e
 * I was able to kexec the new kernel successfully.
 * [ 6702.357899] kexec_core: Starting new kernel
   [ 0.000000] Booting Linux on physical CPU 0x200
   [ 0.000000] Linux version <version>-generic (buildd@bos01-arm64-008)
   (gcc version 5.4.0 20160609 (Ubuntu/Linaro 5.4.0-6ubuntu1~16.04.4) )
   [ 0.000000] Boot CPU: AArch64 Processor [510f8000]

[REGRESSION POTENTIAL]
 * Since patches are confined to arm[64] there is a low overall risk of
   regression.

[OTHER INFO]
 * You can find a Xenial kexec-tools package built for AMD64, i386 and
   ARM64 in my PPA
   https://launchpad.net/~manjo/+archive/ubuntu/kexec-tools
 * This package is built using the Xenial source package for kexec-tools
   with ARM64 enablement patches applied.
 * Please pull the changes from my PPA package and integrate into Ubuntu
   Xenial kexec-tools after review.

Manoj Iyer (manjo) on 2017-01-26
affects: ubuntu → kexec-tools (Ubuntu)
Changed in kexec-tools (Ubuntu):
importance: Undecided → High
description: updated
description: updated
description: updated
dann frazier (dannf) on 2017-01-26
Changed in kexec-tools (Ubuntu):
milestone: xenial-updates → none
summary: - [SRU] [Xenial] Enable ARM64 support in kexec-tools
+ Enable ARM64 support in kexec-tools
Changed in kexec-tools (Ubuntu):
status: New → Confirmed
Changed in kexec-tools (Ubuntu Xenial):
status: New → Confirmed
Changed in kexec-tools (Ubuntu Yakkety):
status: New → Confirmed
Manoj Iyer (manjo) on 2017-01-26
description: updated
dann frazier (dannf) wrote :

Thanks Manoj! A few comments on your prepared package.

- We need to fix in zesty and yakkety as well as xenial
- Version for xenial should be 1:2.0.10-1ubuntu2.1
- Is arm64_build.patch needed? I know we had to add it to Debian for compat w/ sid's toolchain, but I'm not sure we need it for Ubuntu or xenial (though it shouldn't hurt anything).
- There appears to be unncecessary changes to the other debian/patches files - like they were all regenerated. Can you avoid that to cleanup the debdiff for sru-team?

Other than that - looks good. Backport appears clean/straightforward.

Manoj Iyer (manjo) wrote :

Updated changelog to refer to LP: #1659618

new debdiff attached.

Manoj Iyer (manjo) wrote :

[TESTING ON ARM64 HARDWARE]

$ cat /etc/issue
Ubuntu 16.04.1 LTS \n \l

$ sudo apt-add-repository ppa:manjo/kexec-tools
$ sudo apt update
$ sudo apt install kexec-tools
$ kexec --version
kexec-tools 2.0.10 released 26 January 2017

$ ls /boot
abi-4.7.0-2-generic grub System.map-4.7.0-2-generic
config-4.7.0-2-generic initrd.img vmlinuz
efi initrd.img-4.7.0-2-generic vmlinuz-4.7.0-2-generic

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-4.7.0-2-generic root=UUID=4f520e6e-6b21-460e-9c2b-332b188e393b ro splash quiet vt.handoff=7

$ sudo kexec -l /boot/vmlinuz-4.7.0-2-generic --initrd=/boot/initrd.img-4.7.0-2-generic --command-line="root=UUID=4f520e6e-6b21-460e-9c2b-332b188e393b ro vt.handoff=7"

$ sudo kexec -e
[ 76.658975] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x200
[ 0.000000] Linux version 4.7.0-2-generic (buildd@bos01-arm64-008) (gcc version 5.4.0 20160609 (Ubuntu/Linaro 5.4.0-6ubuntu1~16.04.4) ) #5~pdaw1.1+<redacted>.2-Ubuntu SMP Fri Jan 13 18:38:31 UTC 2017 (Ubuntu 4.7.0-2.5~pdaw1.1+<redacted>.2-generic 4.7.0)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]

$ uname -a
Linux pdaw1 4.7.0-2-generic #5~pdaw1.1+<redacted>.2-Ubuntu SMP Fri Jan 13 18:38:31 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux

$ cat /proc/cmdline
root=UUID=4f520e6e-6b21-460e-9c2b-332b188e393b ro vt.handoff=7

Manoj Iyer (manjo) wrote :

The above test was that of the kexec-tools package that includes review comments from dannf.

The attachment "updated debdiff - changelog referring to LP# 1659618" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Changed in kexec-tools (Debian):
status: Unknown → Fix Released
dann frazier (dannf) on 2017-02-01
Changed in kexec-tools (Ubuntu):
assignee: Louis Bouchard (louis-bouchard) → dann frazier (dannf)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kexec-tools - 1:2.0.14-1ubuntu1

---------------
kexec-tools (1:2.0.14-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Default to not kexecing a kernel on boot in the automatically
      generated conffile
    - Don't call db_stop from the postinst.
    - Adjust INITCONFFILE to vmlinux if used
    - Use format-security.patch instead of const_string_warning.patch
    - Add maintainer script helper to handle removal of conffile
      /etc/default/grub.d/kexec-tools.cfg has been removed.
      Handle it properly
    - Add Breaks: statement toward kdump-tools
       Starting with kdump-tools 1:1.5.9-6, this package takes
       over the addition of crashkernel= parameter which has
       been removed from kexec-tools.
       Make sure that it is upgraded accordingly.
  * Debian merge adds arm64 support (LP: #1659618).

 -- dann frazier <email address hidden> Wed, 01 Feb 2017 12:48:15 -0700

Changed in kexec-tools (Ubuntu):
status: Confirmed → Fix Released
Manoj Iyer (manjo) wrote :

[Testing on VM]
== Default kernel on Yakkety ==
ubuntu@test:~$ uname -a
Linux test 4.8.0-37-generic #39-Ubuntu SMP Thu Jan 26 02:26:41 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@test:~$

== No kexec-tools for ARM64 ==
ubuntu@test:~$ sudo apt-get install kexec-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package kexec-tools is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'kexec-tools' has no installation candidate
ubuntu@test:~$

== kexec-tools for yakkety with ARM64 support ==
ubuntu@test:~$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-2ubuntu1.1 arm64 tools to support fast kexec reboots
ubuntu@test:~$

== Kernel with kexec support ==
SRU pending: https://bugs.launchpad.net/bugs/1662554

ubuntu@test:~$ sudo file /boot/vmlinuz-4.8.0-38-generic
/boot/vmlinuz-4.8.0-38-generic: gzip compressed data, max compression, from Unix
ubuntu@test:~$

== Load kexec kernel on cmd line ==
ubuntu@test:~$ sudo kexec -l /boot/vmlinuz-4.8.0-38-generic --initrd=/boot/initrd.img-4.8.0-38-generic --append="root=LABEL=cloudimg-rootfs vt.handoff=7"
ubuntu@test:~$

== Kernel live boots successfully ==
test login: [ 66.553187] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.8.0-38-generic (manjo@tangerine) (gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12) ) #40ubuntu1 SMP Mon Feb 6 21:55:35 UTC 2017 (Ubuntu 4.8.0-38.40ubuntu1-generic 4.8.17)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]
[ 0.000000] efi: Getting EFI parameters from FDT:
[ 0.000000] efi: EFI v2.50 by EDK II
[ 0.000000] efi: SMBIOS=0x5bdb0000 SMBIOS 3.0=0x58660000 PROP=0x5f714518 ACPI=0x58690000 ACPI 2.0=0x58690014

Manoj Iyer (manjo) wrote :

[AMD64 regression testing]
[Testing with stock Yakkety kernel & kexec-tools]

ubuntu@test:~$ sudo file /boot/vmlinuz-4.8.0-30-generic
/boot/vmlinuz-4.8.0-30-generic: Linux kernel x86 boot executable bzImage, version 4.8.0-30-generic (buildd@lcy01-08) #32-Ubuntu SMP Fri Dec 2 03:, RO-rootFS, swap_dev 0x7, Normal VGA
ubuntu@test:~$

ubuntu@test:~$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-2ubuntu1 amd64 tools to support fast kexec reboots
ubuntu@test:~$

ubuntu@test:~$ sudo kexec -l /boot/vmlinuz-4.8.0-30-generic --initrd=/boot/initrd.img-4.8.0-30-generic --append="root=LABEL=cloudimg-rootfs console=ttyS0"
ubuntu@test:~$ sudo kexec -e

test login: [ 212.930357] kexec_core: Starting new kernel
[ 0.000000] Linux version 4.8.0-30-generic (buildd@lcy01-08) (gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12) ) #32-Ubuntu SMP Fri Dec 2 03:43:27 UTC 2016 (Ubuntu 4.8.0-30.32-generic 4.8.6)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.8.0-30-generic root=LABEL=cloudimg-rootfs console=ttyS0
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: Legacy x87 FPU detected.
[ 0.000000] x86/fpu: Using 'eager' FPU context switches.
[ 0.000000] e820: BIOS-provided physical RAM map:

[Testing with patched kexec-tools]

== Build & Install patched kexec-tools ==
ubuntu@test:~/kexec$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-2ubuntu1.1 amd64 tools to support fast kexec reboots
ubuntu@test:~/kexec$

ubuntu@test:~/kexec$ sudo file /boot/vmlinuz-4.8.0-30-generic
/boot/vmlinuz-4.8.0-30-generic: Linux kernel x86 boot executable bzImage, version 4.8.0-30-generic (buildd@lcy01-08) #32-Ubuntu SMP Fri Dec 2 03:, RO-rootFS, swap_dev 0x7, Normal VGA
ubuntu@test:~/kexec$

ubuntu@test:~/kexec$ sudo kexec -l /boot/vmlinuz-4.8.0-30-generic --initrd=/boot/initrd.img-4.8.0-30-generic --append="root=LABEL=cloudimg-rootfs console=ttyS0"
ubuntu@test:~/kexec$ sudo kexec -e

== Kernel live boots successfully ==
Ubuntu 16.10 test ttyS0

test login: [ 377.524693] kexec_core: Starting new kernel
[ 0.000000] Linux version 4.8.0-30-generic (buildd@lcy01-08) (gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12) ) #32-Ubuntu SMP Fri Dec 2 03:43:27 UTC 2016 (Ubuntu 4.8.0-30.32-generic 4.8.6)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.8.0-30-generic root=LABEL=cloudimg-rootfs console=ttyS0
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: Legacy x87 FPU detected.
[ 0.000000] x86/fpu: Using 'eager' FPU context switches.
[ 0.000000] e820: BIOS-provided physical RAM map:

dann frazier (dannf) on 2017-02-07
Changed in kexec-tools (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in kexec-tools (Ubuntu Yakkety):
status: Confirmed → In Progress
Changed in kexec-tools (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in kexec-tools (Ubuntu Yakkety):
assignee: nobody → dann frazier (dannf)
assignee: dann frazier (dannf) → Manoj Iyer (manjo)
assignee: Manoj Iyer (manjo) → dann frazier (dannf)
Changed in kexec-tools (Ubuntu Xenial):
assignee: dann frazier (dannf) → Manoj Iyer (manjo)
Manoj Iyer (manjo) wrote :

Please note that the previous debdiff patch I attached introduced some spurious changes by accident. Here is a cleaner version of the debdiff patch for Yakkety. I applied this patch to Yakkety kexec-tools and I was able to build and test.

Please consider this patch for SRU to kexec-tools in yakkety.

Manoj Iyer (manjo) wrote :

Please ignore my previous comment, I introduced an err in the changelog. Please use this cleaned up version of the patch.

Manoj Iyer (manjo) wrote :
Manoj Iyer (manjo) wrote :

I was able to apply this patch and build kexec-tools on Xenial. Please see this link for details: https://pastebin.ubuntu.com/23950298/

[TESTING]

== Y kernel for X series with kexec support ==
I had to build a Yakkety kernel for Xenial series with KEXEC enabled.
ubuntu@test:~$ uname -a
Linux test 4.8.0-38-generic #40ubuntu1 SMP Tue Feb 7 21:26:52 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux

== kexec-tools with patches to enable ARM64 support ==

ubuntu@test:~$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-1ubuntu2.1 arm64 tools to support fast kexec reboots
ubuntu@test:~$

== Load kexec kernel and initiate kexec ==
ubuntu@test:~$ sudo kexec -l /boot/vmlinuz-4.8.0-38-generic --initrd=/boot/initrd.img-4.8.0-38-generic --append="root=UUID=6ef62239-dad9-409b-a3ab-1847e44aa779 ro vt.handoff=7"
ubuntu@test:~$ sudo kexec -e

== Successful live boot of kexec kernel ==
Ubuntu 16.04.1 LTS test ttyAMA0

test login: [ 85.371808] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.8.0-38-generic (manjo@tangerine) (gcc version 5.3.1 20160413 (Ubuntu/Linaro 5.3.1-14ubuntu2) ) #40ubuntu1 SMP Tue Feb 7 21:26:52 UTC 2017 (Ubuntu 4.8.0-38.40ubuntu1-generic 4.8.17)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]
[ 0.000000] efi: Getting EFI parameters from FDT:
[ 0.000000] efi: EFI v2.50 by EDK II
[ 0.000000] efi: SMBIOS=0x5bdb0000 SMBIOS 3.0=0x58660000 PROP=0x5f714518 ACPI=0x58690000 ACPI 2.0=0x58690014
[ 0.000000] No NUMA configuration found

Manoj Iyer (manjo) wrote :

[Regression testing on Xenial AMD64]
AMD64 kernel already has kexec support on Xenial. The attached patch applies cleanly and builds on AMD64: https://pastebin.ubuntu.com/23950437/

== Installed kexec-tools built with ARM64 enablement patches ==
ubuntu@test:~$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-1ubuntu2.1 amd64 tools to support fast kexec reboots
ubuntu@test:~$

== Load kexec kernel and initiate kexec ==
ubuntu@test:~$ sudo kexec -l /boot/vmlinuz-4.4.0-62-generic --initrd=/boot/initrd.img-4.4.0-62-generic --append="root=LABEL=cloudimg-rootfs ro console=ttyS0"
ubuntu@test:~$ sudo kexec -e

== Successfully live booted kernel ==
Ubuntu 16.04.1 LTS test ttyS0

test login: [ 18.860792] kexec_core: Starting new kernel
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Initializing cgroup subsys cpuacct
[ 0.000000] Linux version 4.4.0-62-generic (buildd@lcy01-30) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4) ) #83-Ubuntu SMP Wed Jan 18 14:10:15 UTC 2017 (Ubuntu 4.4.0-62.83-generic 4.4.40)
[ 0.000000] Command line: root=LABEL=cloudimg-rootfs ro console=ttyS0
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: Legacy x87 FPU detected.
[ 0.000000] x86/fpu: Using 'lazy' FPU context switches.
[ 0.000000] e820: BIOS-provided physical RAM map:

dann frazier (dannf) on 2017-02-08
Changed in kexec-tools (Ubuntu Xenial):
importance: Undecided → High
Changed in kexec-tools (Ubuntu Yakkety):
importance: Undecided → High
Manoj Iyer (manjo) wrote :

The attached patch has the complete set of patches needed for kexec support on ARM64.
  * kexec: Increase the upper limit for RAM segments [LP: #1663400]
  * Enable compressed kernel support for ARM64 [LP: #1661363]
  * Enable ARM64 support [LP: #1659618]

This patch applies cleanly on Xenial kexec-tools. https://pastebin.ubuntu.com/23968089/
Testing for lp 1663400 is posted to the SRU request description. Testing results for arm64 support yielded the same results as previously.

Ubuntu 16.04.1 LTS ubuntu ttyAMA2

ubuntu login: [ 857.281231] mmc0: Reset 0x1 never completed.
[ 860.859581] kexec_core: Starting new kernel
[ 0.000000] arch_timer: Failed to initialize memory-mapped timer, skipping
[ 1.169613] coresight-tmc ARMHFFF0:00: Byte-cntr-irq not specified
[ 1.178015] Failed to find cpu0 device node
[ 1.452042] mmc0: Reset 0x1 never completed.
[ 1.555603] mmc0: Reset 0x1 never completed.
[ 1.659871] mmc0: Reset 0x1 never completed.
[ 1.665249] hub 2-0:1.0: config failed, hub doesn't have any ports! (err -19)
[ 1.673240] hub 4-0:1.0: config failed, hub doesn't have any ports! (err -19)
[ 1.680657] hub 6-0:1.0: config failed, hub doesn't have any ports! (err -19)
[ 1.687974] hub 8-0:1.0: config failed, hub doesn't have any ports! (err -19)

Manoj Iyer (manjo) wrote :

The attached patch has the complete set of patches needed for kexec support on ARM64.
* Enable ARM64 support in kexec-tools (LP: #1659618)
* Enable support for compressed kernels on ARM64 (LP: #1661363)
* kexec: Increase the upper limit for RAM segments (LP: #1663400)

This patch applies cleanly on Yakkety kexec-tools: https://pastebin.ubuntu.com/23968404/

Testing for lp 1663400 is posted to the SRU request description. Testing results for arm64 support yielded the same results as previously.

ubuntu@yk:/tmp$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.10-2ubuntu1.1 arm64 tools to support fast kexec reboots
ubuntu@yk:/tmp$

ubuntu@yk:/tmp$ sudo kexec -l /boot/vmlinuz-4.8.0-38-generic --initrd=/boot/initrd.img-4.8.0-38-generic --append="root=UUID=d80e6bcf-a747-43fd-97fe-e47574637b2b ro vt.handoff=7"
ubuntu@yk:/tmp$

ubuntu@yk:/tmp$ sudo kexec -e
Ubuntu 16.10 yk ttyAMA0

yk login: [ 1902.177836] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.8.0-38-generic (manjo@tangerine) (gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12) ) #40ubuntu1 SMP Mon Feb 6 21:55:35 UTC 2017 (Ubuntu 4.8.0-38.40ubuntu1-generic 4.8.17)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]
[ 0.000000] efi: Getting EFI parameters from FDT:
[ 0.000000] efi: EFI v2.50 by EDK II
[ 0.000000] efi: SMBIOS=0x5bdb0000 SMBIOS 3.0=0x58660000 PROP=0x5f714518 ACPI=0x58690000 ACPI 2.0=0x58690014
[ 0.000000] No NUMA configuration found

Manoj Iyer (manjo) wrote :
Download full text (12.8 KiB)

The attached patch is for:

* kexec: Increase the upper limit for RAM segments (LP: #1663400)

This patch applies cleanly on Zesty kexec-tools: https://pastebin.ubuntu.com/23995216/

[TESTING with Zesty kexec-tools on hardware]
ubuntu@ubuntu:~$ dpkg -l | grep kexec-tools
ii kexec-tools 1:2.0.14-1ubuntu2.1 arm64 tools to support fast kexec reboots
ubuntu@ubuntu:~$

ubuntu@ubuntu:~$ sudo kexec -d -l /boot/vmlinuz-4.7.0-2-generic --reuse-cmd --initrd=/boot/initrd.img-4.7.0-2-generic
arch_process_options:141: command_line: root=UUID=6c2f8a0a-5a0a-4f7b-8427-6e119e950aaa ro splash quiet vt.handoff=7
arch_process_options:143: initrd: /boot/initrd.img-4.7.0-2-generic
arch_process_options:144: dtb: (null)
Try gzip decompression.
kernel: 0xffffa9e5e010 kernel_size: 0xf36800
get_memory_ranges_iomem_cb: 0000000000200000 - 000000000020ffff : System RAM
get_memory_ranges_iomem_cb: 0000000000820000 - 000000000307ffff : System RAM
get_memory_ranges_iomem_cb: 0000000003080000 - 000000000308ffff : System RAM
get_memory_ranges_iomem_cb: 0000000003090000 - 00000000031fffff : System RAM
get_memory_ranges_iomem_cb: 0000000003200000 - 00000000033fffff : System RAM
get_memory_ranges_iomem_cb: 0000000003410000 - 000000000589ffff : System RAM
get_memory_ranges_iomem_cb: 00000000058a0000 - 00000000058affff : System RAM
get_memory_ranges_iomem_cb: 00000000058b0000 - 00000000058bffff : System RAM
get_memory_ranges_iomem_cb: 00000000058c0000 - 000000000597ffff : System RAM
get_memory_ranges_iomem_cb: 0000000005980000 - 0000000005987fff : System RAM
get_memory_ranges_iomem_cb: 0000000005988000 - 000000000598bfff : System RAM
get_memory_ranges_iomem_cb: 000000000598c000 - 0000000005a0ffff : System RAM
get_memory_ranges_iomem_cb: 0000000005a10000 - 0000000005aaffff : System RAM
get_memory_ranges_iomem_cb: 0000000005ab0000 - 0000000005ca0fff : System RAM
get_memory_ranges_iomem_cb: 0000000005ca1000 - 0000000008caffff : System RAM
get_memory_ranges_iomem_cb: 0000000008cb0000 - 0000000008cfffff : System RAM
get_memory_ranges_iomem_cb: 0000000008d00000 - 0000000008edffff : System RAM
get_memory_ranges_iomem_cb: 0000000008ee0000 - 0000000008ee0fff : System RAM
get_memory_ranges_iomem_cb: 0000000008ee1000 - 0000000008ee3fff : System RAM
get_memory_ranges_iomem_cb: 0000000008ee4000 - 0000000008eeffff : System RAM
get_memory_ranges_iomem_cb: 0000000008ef0000 - 00000000092affff : System RAM
get_memory_ranges_iomem_cb: 00000000092b0000 - 00000000092dffff : System RAM
get_memory_ranges_iomem_cb: 00000000092e0000 - 0000000009422fff : System RAM
get_memory_ranges_iomem_cb: 0000000009423000 - 000000000949ffff : System RAM
get_memory_ranges_iomem_cb: 00000000094a0000 - 000000000957ffff : System RAM
get_memory_ranges_iomem_cb: 0000000009580000 - 000000000958cfff : System RAM
get_memory_ranges_iomem_cb: 000000000958d000 - 00000000098cffff : System RAM
get_memory_ranges_iomem_cb: 00000000098d0000 - 00000000098d0fff : System RAM
get_memory_ranges_iomem_cb: 00000000098d1000 - 00000000098dbfff : System RAM
get_memory_ranges_iomem_cb: 00000000098dc000 - 000000000e8bffff : System RAM
get_memory_ranges_iomem_cb: 000000000e8c0000 - 000000000e8effff : Sy...

Hello Manoj, or anyone else affected,

Accepted kexec-tools into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kexec-tools/1:2.0.10-2ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kexec-tools (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in kexec-tools (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Manoj, or anyone else affected,

Accepted kexec-tools into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kexec-tools/1:2.0.10-1ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Manoj Iyer (manjo) wrote :

[Xenial Proposed Testing]
ubuntu@ubuntu:~$ sudo apt policy kexec-tools
kexec-tools:
  Installed: (none)
  Candidate: 1:2.0.10-1ubuntu2.1
  Version table:
     1:2.0.10-1ubuntu2.1 500
        500 http://ports.ubuntu.com/ubuntu-ports xenial-proposed/main arm64 Packages

ubuntu@ubuntu:~$ sudo kexec -l /boot/vmlinuz-4.10.0-11-generic --initrd=/boot/initrd.img-4.10.0-11-generic --reuse-cmdline
ubuntu@ubuntu:~$

ubuntu login: [522805.585557] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x200
[ 0.000000] Linux version 4.10.0-11-generic (manjo@rugby) (gcc version 5.4.0 20160609 (Ubuntu/Linaro 5.4.0-6ubuntu1~16.04.4) ) #13ubuntu1+bandera.1 SMP Thu Mar 9 20:26:04 UTC 2017 (Ubuntu 4.10.0-11.13ubuntu1+bandera.1-generic 4.10.1)
[ 0.000000] Boot CPU: AArch64 Processor [510f8000]
[ 0.000000] efi: Getting EFI parameters from FDT:
[ 0.000000] efi: EFI v2.60 by Qualcomm
[ 0.000000] efi: ACPI 2.0=0x96c0000 SMBIOS 3.0=0x58b0000 PROP=0xe90a580 ESRT=0xbacf218 MEMATTR=0xbaac018 RNG=0xe8c6c18

tags: added: verification-done-xenial
Manoj Iyer (manjo) wrote :

[Yakkety Proposed Testing]

ubuntu@test:~$ cat /etc/issue
Ubuntu 16.10 \n \l
ubuntu@test:~$ sudo apt policy kexec-tools
kexec-tools:
  Installed: (none)
  Candidate: 1:2.0.10-2ubuntu1.1
  Version table:
     1:2.0.10-2ubuntu1.1 500
        500 http://ports.ubuntu.com/ubuntu-ports yakkety-proposed/main arm64 Packages
ubuntu@test:~$

ubuntu@test:~$ uname -a
Linux test 4.10.0-10-generic #13~ubunturc2+build.1-Ubuntu SMP Tue Feb 28 23:33:09 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@test:~$
ubuntu@test:~$ sudo kexec -l /boot/vmlinuz-4.10.0-10-generic --initrd=/boot/initrd.img-4.8.0-41-generic --reuse-cmdline
ubuntu@test:~$ sudo kexec -e
[ 1095.110521] kexec_core: Starting new kernel

tags: added: verification-done-yakkety
removed: verification-needed
Manoj Iyer (manjo) wrote :

test login: [ 146.606156] cloud-init[1023]: Cloud-init v. 0.7.9 running 'modules:config' at Tue, 21 Mar 2017 17:23:44 +0000. Up 143.57 seconds.
[ 168.868544] cloud-init[1161]: Cloud-init v. 0.7.9 running 'modules:final' at Tue, 21 Mar 2017 17:24:06 +0000. Up 165.37 seconds.
[ 168.914038] cloud-init[1161]: Cloud-init v. 0.7.9 finished at Tue, 21 Mar 2017 17:24:10 +0000. Datasource DataSourceNoCloud [seed=/dev/vda][dsmode=net]. Up 168.67 seconds
[ 231.987676] kexec_core: Starting new kernel
[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 4.10.0-10-generic (buildd@bos01-arm64-046) (gcc version 5.4.0 20160609 (Ubuntu/Linaro 5.4.0-6ubuntu1~16.04.4) ) #13~ubunturc2+build.1-Ubuntu SMP Tue Feb 28 23:33:09 UTC 2017 (Ubuntu 4.10.0-10.13~ubunturc2+build.1-generic 4.10.0)
[ 0.000000] Boot CPU: AArch64 Processor [411fd070]

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.